## sauce-0.5.0.tar.gz

=== Makefile ===
########### Makefile
# Edit the settings below, if you like, and say `make install'.
#
# This file is part of SAUCE, a very picky anti-spam receiver-SMTP.
# SAUCE is Copyright (C) 1997, 1998 Ian Jackson
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
#
# $Id: Makefile,v 1.20 1999/10/17 18:49:09 ian Exp $

# Edit these variables, if you want to:

prefix=/usr/local
var_base=/var
var_dir=$(var_base)/lib/sauce
log_dir=/var/log/sauce
etc_dir=/etc
tclsh=/usr/bin/tclsh8.2
var_run_dir=$(var_base)/run
fw_lockfile=$(var_run_dir)/sauce-firewall.lock

username=mail
userlist=/etc/userlist

bin_dir=$(prefix)/bin
sbin_dir=$(prefix)/sbin
share_dir=$(prefix)/share

sharelib_dir=$(share_dir)/sauce
doc_dir=$(share_dir)/doc/sauce

config_dir=$(etc_dir)/sauce
userv_dir=$(etc_dir)/userv
uservserv_dir=$(userv_dir)/services.d

INSTALL=/usr/bin/install
INSTALL_DATA=$(INSTALL) -c
INSTALL_PROGRAM=$(INSTALL) -c

# You should not need to edit anything beyond this point.
#
#

VERSION=	0.1

USERV_SERVS=	sauce-userblacklist sauce-firewall

TCL_LIBS=	readlibs readconf library thread dns avf avfpool \
		smtp msgdata notifybl datastate yesmaster sconfig

TCL_USEREXECS=	sauce-bwlist
TCL_SYSEXECS=	sauce sauceadmin
TCL_LIBEXECS=	firewall

TARGETS=	$(TCL_USEREXECS) $(TCL_SYSEXECS) $(TCL_LIBEXECS) \
		$(TCL_LIBS) $(USERV_SERVS)
DOC_FILES=	BLURB.text README.text ERRORS.text EXIM-CONFIG.text \
		INSTALL.text

all:		$(TARGETS)

install:	$(TARGETS)
		$(INSTALL_DATA) $(TCL_LIBS) $(sharelib_dir)
		$(INSTALL_PROGRAM) $(TCL_LIBEXECS) $(sharelib_dir)
		$(INSTALL_PROGRAM) $(TCL_USEREXECS) $(bin_dir)
		$(INSTALL_PROGRAM) $(TCL_SYSEXECS) $(sbin_dir)
		set -e; for f in $(USERV_SERVS); do \
			$(INSTALL_DATA) $$f $(uservserv_dir)/$$f:example; \
		done

install_doc:	$(DOC_FILES)
		$(INSTALL_DATA) $(DOC_FILES) $(doc_dir)

settings:	Makefile
		$(tclsh) setsettings.tcl >$@-n 				\
			_tclsh		"$(tclsh)"			\
			var_dir		"$(var_dir)"			\
			log_dir		"$(log_dir)"			\
			sbin_dir	"$(sbin_dir)"			\
			config_dir	"$(config_dir)"			\
			share_dir	"$(sharelib_dir)"		\
			readlibs	"$(sharelib_dir)/readlibs"	\
			username	"$(username)"			\
			userlist	"$(userlist)"			\
			fw_lockfile	"$(fw_lockfile)"		\
			tcl_lib_ext?	""
		@mv -f $@-n $@

%:		%.tcl settings
		$(tclsh) subst.tcl settings $<

%:		%.in settings
		$(tclsh) subst.tcl settings $<

clean distclean:
		rm -f settings $(TARGETS) *.new *~ ./#*# *.bak
		rm -f debian/*~ debian/#*# debian/*.bak
		rm -f db.addr-seen.main db.addr-list.log
		rm -f db.site-seen.main db.site-list.log

=== debian/changelog ===
sauce (0.5.0) experimental; urgency=low

  * New documentation files {README,BLURB,ERRORS,INSTALL}.text.
  * Give `install' the `-c' flag (and not `-o root -g root').

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 17 Oct 1999 19:57:34 +0100

sauce (0.4.14) unstable; urgency=low

  * Split sauce.tcl into two parts; have goes into new smtp.tcl.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  9 Oct 1999 16:48:20 +0100

sauce (0.4.13) unstable; urgency=medium

  New features:
  * Limit number of connections (prefer sites we're pleased with).
  * Firewall out sites which make us very angry and exceed conn limit. 

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat,  9 Oct 1999 15:58:47 +0100

sauce (0.4.12) unstable; urgency=medium

  Bugfixes:
  * When databases have bad format, show the line in question.
  * Blank commands, read errors, & unexpected EOFs reported sensibly.
  * Send blacklist notifications from <>.
  * Do not become angry (or pleased) with any local interface.
  * New `Ecstatic' pleasure level.
  * Show anger/pleasure in greeting.
  * Avoid unset variable bug with state(mf_parms).

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 18 Sep 1999 18:00:10 +0100

sauce (0.4.11) unstable; urgency=low

  Bugfixes:
  * Properly store and remember quoted datastate keys.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 23:15:16 +0100

sauce (0.4.10) unstable; urgency=low

  Bugfixes:
  * Do not listen to input after timeout-disconnect.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 22:28:59 +0100

sauce (0.4.9) unstable; urgency=low

  Bugfixes:
  * Greeting doesn't count as a minor fault any more.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 21:24:21 +0100

sauce (0.4.8) unstable; urgency=low

  Bugfixes:
  * Show sending hostname in acceptance messages.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 20:29:29 +0100

sauce (0.4.7) unstable; urgency=low

  Bugfixes:
  * Defer really counts as a minor fault.   Greeting, too.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 20:05:40 +0100

sauce (0.4.6) unstable; urgency=low

  Bugfixes:
  * More improvements to irritation logging.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 19:34:03 +0100

sauce (0.4.5) unstable; urgency=low

  Bugfixes:
  * When irritated, log the causes.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 19:00:51 +0100

sauce (0.4.4) unstable; urgency=low

  Bugfixes:
  * Do not go into infinite recursing when shutting down !

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 18:44:24 +0100

sauce (0.4.3) unstable; urgency=low

  Bugfixes:
  * Remove rcsid line from /etc/sauce/sys-config.
  * Proper timing of annoyed messages (no long gap at end of delays).
  * Properly encode anger values in datastate.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 18:32:01 +0100

sauce (0.4.0) unstable; urgency=medium

  New features/improvements:
  * sauce-blacklist => sauce-bwlist, and can now whitelist too.
  * SAUCE now gets "angry" with sites sending lots of bogus stuff.

  Bugfixes:
  * Allow CNAMEs to point to non-hostnames (needed for classless in-addr).
  * Copyright notices and dates updated.
  
  * Now uses tcl 8.2.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun, 12 Sep 1999 17:25:30 +0100

sauce (0.3.6) unstable; urgency=low

  Bugfixes:
  * Check for missing config settings works (thanks Dan Sheppard).
  * Don't produce dbreasons log entry if new state is same as old.
  * Don't spout silly `mfok' debugging to stderr.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sat, 21 Aug 1999 03:51:23 +0100

sauce (0.3.5) unstable; urgency=medium

  New features/improvements:
  * Extra quitting check when actually issuing responses.
  * New ds state for addr 'verified' to save on avf's for bypass.
  * Changed defaults for various things to match chiark's config.

  Bugfixes:
  * Allow blacklisted senders/sites to contact admins, as intended !
  * Be case-insensitive about domain names in addr_classify.
  * Make admin addresses avoid header checks like bypass addrs.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 12 Aug 1999 00:42:52 +0100

sauce (0.3.4) unstable; urgency=medium

  Bugfixes:
  * Allow CNAMEs with strange data (sigh).
  * Don't put deferrals in the reject.log.
  * Lowercase the domain in addr_classify.
  * Apply teergrube delay to closing message `421 ... some error ...'.
  * Include domain in listing of bait addresses in dbreasons.log.
  * Use fconfigure -translation binary to avoid crazyness on CR-CR-LF.
  * Put dates and exit status in the sauce-startup.log, and append.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 29 Jul 1999 02:46:47 +0100

sauce (0.3.3) unstable; urgency=high

  * Make socket translation mode be {binary crlf} throughout;
    and strip CRs ourselves in threadio_gets.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon, 19 Jul 1999 22:05:27 +0100

sauce (0.3.2) unstable; urgency=low

  * Better error messages for connection and verification failure.
  * Make userblacklist work again.
  * Make RSET on verify connection work properly.
  * Make error handling cleanup for avfpool crash be complete.
  * ipaddr_phase_proportion requires local_interfaces to avoid inability
    to use sauceadmin.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 15 Jul 1999 03:08:49 +0100

sauce (0.3.1) unstable; urgency=low

  * sauceadmin shutdown waits for the shutdown to happen.
  * Bugfixes.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun,  4 Jul 1999 21:01:48 +0100

sauce (0.3.0) unstable; urgency=high

  Major overhaul:
  * Redone persistent database handling.
  * No more pause after final dot.
  * Bugfixes and other changes.
  * VRFY implemented.
  * Add Received header.
  * RBL support.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Sun,  4 Jul 1999 20:25:06 +0100



=== debian/control ===
Source: sauce
Section: mail
Priority: experimental
Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
Standards-Version: 2.1.1.0

Package: sauce
Architecture: all
Depends: tcl8.2, authbind
Recommends: exim (>= 2.02-3), userv
Description: SMTP defence software against spam
 SAUCE (Software Against Unsolicited Commerical Email) sits between
 the Internet and your existing Mail Transfer Agent (e.g. Exim).  It
 does a number of checks on incoming mail, including being able to
 blacklist senders and their sites automatically when they mail
 special `spam bait' addresses.
 .
 This is an ALPHA version and should be used by experts only.

=== debian/rules ===
#!/usr/bin/make -f
# This file is part of SAUCE, a very picky anti-spam receiver-SMTP.
# SAUCE is Copyright (C) 1997-1999 Ian Jackson
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
#
# $Id: rules,v 1.15 1999/10/09 14:57:41 ian Exp $

package=sauce
revision=$(shell dpkg-parsechangelog | sed -n 's/^Version:.*-//p')
verext=-$(revision)deb

build:
	$(checkdir)
	rm -f settings
	$(MAKE) prefix=/usr

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN debian/tmp/usr/{bin,sbin}
	install -d debian/tmp/{etc,usr/share,usr/doc}/sauce
	install -d debian/tmp/etc/{cron.weekly,init.d,userv/services.d}
	install -d debian/tmp/var/{lib,log}/$(package)
	$(MAKE) install install_doc prefix=debian/tmp/usr \
		doc_dir=debian/tmp/usr/doc/sauce etc_dir=debian/tmp/etc
	set -e; for f in `grep '^/etc/userv/services.d/' debian/conffiles`; do \
		mv debian/tmp$$f:example debian/tmp$$f; \
	done
	install -m 755 debian/cron.weekly debian/tmp/etc/cron.weekly/sauce
	install -m 755 debian/sauce-run debian/tmp/usr/sbin/sauce-run
	install -m 755 debian/initd debian/tmp/etc/init.d/sauce
	install -m 755 debian/{pre,post}rm debian/postinst debian/tmp/DEBIAN/.
	install -m 644 debian/conffiles debian/tmp/DEBIAN/.
	install -m 644 debian/copyright debian/tmp/usr/doc/$(package)/.
	install -m 644 debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
	install -m 644 db.manual blmessage.text debian/sys-config debian/tmp/etc/sauce/.
	echo '# You may put SAUCE configuration here.' >debian/tmp/etc/sauce/config
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chown -R mail.root debian/tmp/var/{lib,log}/sauce debian/tmp/etc/sauce/*
	chown root.root debian/tmp/etc/sauce/sys-config
	chmod -R u+w,go-ws,a+rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f sauce.tcl
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
